Skip to content

Begin TOTP enrollment

POST
/api/v1/mfa/totp
curl --request POST \
--url https://osctrl.net/api/v1/mfa/totp

Generates a TOTP secret and provisioning URI for the calling account.

OK

Media typeapplication/json
object
qr

QR is the provisioning URI as a PNG data URI, ready for an .

string
secret
string
uri
string
Examplegenerated
{
"qr": "example",
"secret": "example",
"uri": "example"
}

Unauthorized

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Conflict

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Internal server error

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}